Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.function
Class FunctionType4

    java.lang.Object
      com.sun.pdfview.function.PDFFunction
          com.sun.pdfview.function.FunctionType4

    public class FunctionType4

extends PDFFunction

A PostScript function is represented as a stream containing code written in a small subset of the PostScript language. This reference is taken from the (3200-1:2008:7.10.5)

http://www.adobe.com/devnet/acrobat/pdfs/adobe_supplement_iso32000.pdf

Field Summary

Fields inherited from class com.sun.pdfview.function.PDFFunction
`TYPE_0, TYPE_2, TYPE_3, TYPE_4`

Constructor Summary
`protected` | `FunctionType4()` Creates a new instance of FunctionType4

Method Summary
`protected void` | `doFunction(float[] inputs, int inputOffset, float[] outputs, int outputOffset)` Map from m input values to n output values.
`protected void` | `parse(PDFObject obj)` Read the function information from a PDF Object

Methods inherited from class com.sun.pdfview.function.PDFFunction
`calculate, calculate, getDomain, getFunction, getNumInputs, getNumOutputs, getRange, getType, setDomain, setRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionType4

    protected FunctionType4()

  Creates a new instance of FunctionType4

Method Detail

### parse

    protected void parse(PDFObject obj)
                  throws java.io.IOException

  Read the function information from a PDF Object

  Specified by:
    `parse` in class `PDFFunction`
  Throws:
    `java.io.IOException`

### doFunction

    protected void doFunction(float[] inputs,
                              int inputOffset,
                              float[] outputs,
                              int outputOffset)

  Map from m input values to n output values. The number of inputs m must be exactly one half the size of the domain. The number of outputs should match one half the size of the range.

  Specified by:
    `doFunction` in class `PDFFunction`
  Parameters:
    `inputs` - an array of m input values
    `outputs` - an array of size n which will be filled with the output values, or null to return a new array
    `inputOffset` - the offset into the inputs array to read from
    `outputOffset` - the offset into the output array to write to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD